%define debug_package	%{nil}
%define	Objects_Home	/lime-kernel-objects-%{version}
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	lime-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for CentOS 6 i686 for LiME

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.1.r17
%define REL 69
Release:	%{REL}

License:	GPL

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/lime-forensics/
Source:		lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for CentOS 6 i686-based systems.

%prep
%setup -T -c

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Fri Nov 13 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-69
* Release 1.1.r17-69
	Kernel modules were added for the following kernels:
		2.6.32-754.35.1

* Fri Aug 28 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-68
* Release 1.1.r17-68
	Kernel modules were added for the following kernels:
		2.6.32-754.33.1

* Fri Jul 17 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-67
* Release 1.1.r17-67
	Kernel modules were added for the following kernels:
		2.6.32-754.31.1

* Fri Jun 12 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-66
* Release 1.1.r17-66
	Kernel modules were added for the following kernels:
		2.6.32-754.30.2

* Fri May 22 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-65
* Release 1.1.r17-65
	Kernel modules were added for the following kernels:
		2.6.32-754.29.2

* Fri May  1 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-64
* Release 1.1.r17-64
	Kernel modules were added for the following kernels:
		2.6.32-754.29.1

* Fri Mar 13 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-63
* Release 1.1.r17-63
	Kernel modules were added for the following kernels:
		2.6.32-754.28.1

* Fri Feb 14 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-62
* Release 1.1.r17-62
	Kernel modules were added for the following kernels:
		2.6.32-754.27.1

* Fri Dec 27 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-61
* Release 1.1.r17-61
	Kernel modules were added for the following kernels:
		2.6.32-754.25.1

* Fri Nov 15 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-60
* Release 1.1.r17-60
	Kernel modules were added for the following kernels:
		2.6.32-754.24.3
		2.6.32-754.24.2

* Mon Oct 21 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-59
* Release 1.1.r17-59
	Rebuilt all kernel modules using the latest version of LiME.

* Fri Oct  4 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-58
* Release 1.1.r17-58
	Kernel modules were added for the following kernels:
		2.6.32-754.23.1

* Fri Sep 20 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-57
* Release 1.1.r17-57
	Kernel modules were added for the following kernels:
		2.6.32-754.22.1

* Fri Aug 23 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-56
* Release 1.1.r17-56
	Kernel modules were added for the following kernels:
		2.6.32-754.18.2

* Wed Jul  1 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-55
* Release 1.1.r17-55
	Kernel modules were added for the following kernels:
		2.6.32-754.17.1

* Fri Jun 21 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-54
* Release 1.1.r17-54
	Kernel modules were added for the following kernels:
		2.6.32-754.15.3

* Fri May 17 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-53
* Release 1.1.r17-53
	Kernel modules were added for the following kernels:
		2.6.32-754.14.2

* Fri Apr 12 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-52
* Release 1.1.r17-52
	Kernel modules were added for the following kernels:
		2.6.32-754.12.1

* Fri Mar  1 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-51
* Release 1.1.r17-51
	Kernel modules were added for the following kernels:
		2.6.32-754.11.1

* Fri Jan 18 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-50
* Release 1.1.r17-50
	Kernel modules were added for the following kernels:
		2.6.32-754.10.1

* Fri Dec  7 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-49
* Release 1.1.r17-49
	Kernel modules were added for the following kernels:
		2.6.32-754.9.1

* Thu Oct 11 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-48
* Release 1.1.r17-48
	Kernel modules were added for the following kernels:
		2.6.32-754.6.3

* Fri Aug 17 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-47
* Release 1.1.r17-47
	Kernel modules were added for the following kernels:
		2.6.32-754.3.5

* Fri Jul 20 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-46
* Release 1.1.r17-46
	Kernel modules were added for the following kernels:
		2.6.32-754.2.1
		2.6.32-754

* Fri May 25 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-45
* Release 1.1.r17-45
	Kernel modules were added for the following kernels:
		2.6.32-696.30.1

* Fri May 11 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-44
* Release 1.1.r17-44
	Kernel modules were added for the following kernels:
		2.6.32-696.28.1

* Fri Mar 16 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-43
* Release 1.1.r17-43
	Kernel modules were added for the following kernels:
		2.6.32-696.23.1

* Mon Jan 29 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-42
* Release 1.1.r17-42
	Kernel modules were added for the following kernels:
		2.6.32-696.20.1

* Fri Jan  5 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-41
* Release 1.1.r17-41
	Kernel modules were added for the following kernels:
		2.6.32-696.18.7

* Thu Nov 16 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-40
* Release 1.1.r17-40
	Kernel modules were added for the following kernels:
		2.6.32-696.16.1

* Mon Oct  9 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-39
* Release 1.1.r17-39
	Kernel modules were added for the following kernels:
		2.6.32-696.13.2

* Thu Sep 28 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-38
* Release 1.1.r17-38
	Kernel modules were added for the following kernels:
		2.6.32-696.10.3

* Wed Sep 20 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-37
* Release 1.1.r17-37
	Kernel modules were added for the following kernels:
		2.6.32-696.10.2

* Thu Aug 24 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-36
* Release 1.1.r17-36
	Kernel modules were added for the following kernels:
		2.6.32-696.10.1

* Thu Jul 13 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-35
* Release 1.1.r17-35
	Kernel modules were added for the following kernels:
		2.6.32-696.6.3

* Wed Jun 21 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-34
* Release 1.1.r17-34
	Kernel modules were added for the following kernels:
		2.6.32-696.3.2

* Thu Jun  1 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-33
* Release 1.1.r17-33
	Kernel modules were added for the following kernels:
		2.6.32-696.3.1

* Mon Apr 17 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-32
* Release 1.1.r17-32
	Kernel modules were added for the following kernels:
		2.6.32-696.1.1

* Mon Apr 10 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-31
* Release 1.1.r17-31
	Kernel modules were added for the following kernels:
		2.6.32-696

* Mon Feb 27 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-30
* Release 1.1.r17-30
	Kernel modules were added for the following kernels:
		2.6.32-642.13.2
		2.6.32-642.15.1

* Fri Jan 13 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-29
* Release 1.1.r17-29
	Kernel modules were added for the following kernels:
		2.6.32-642.13.1

* Mon Nov 21 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-28
* Release 1.1.r17-28
	Kernel modules were added for the following kernels:
		2.6.32-642.11.1

* Sun Oct 30 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-27
* Release 1.1.r17-27
	Kernel modules were added for the following kernels:
		2.6.32-642.6.2

* Mon Oct 10 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-26
* Release 1.1.r17-26
	Kernel modules were added for the following kernels:
		2.6.32-642.6.1

* Wed Aug 25 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-25
* Release 1.1.r17-25
	Kernel modules were added for the following kernels:
		2.6.32-642.4.2

* Wed Jul 13 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-24
* Release 1.1.r17-24
	Kernel modules were added for the following kernels:
		2.6.32-642.3.1

* Thu Jun  2 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-23
* Release 1.1.r17-23
	Kernel modules were added for the following kernels:
		2.6.32-642.1.1

* Thu May 26 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-22
* Release 1.1.r17-22
	Kernel modules were added for the following kernels:
		2.6.32-642

* Wed May  4 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-21
* Release 1.1.r17-21
	Kernel modules were added for the following kernels:
		2.6.32-573.26.1

* Thu Mar 24 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-20
* Release 1.1.r17-20
	Kernel modules were added for the following kernels:
		2.6.32-573.22.1

* Thu Feb 11 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-19
* Release 1.1.r17-19
	Kernel modules were added for the following kernels:
		2.6.32-573.18.1

* Tue Dec 16 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-18
* Release 1.1.r17-18
	Kernel modules were added for the following kernels:
		2.6.32-573.12.1

* Wed Nov 11 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-17
* Release 1.1.r17-17
	Kernel modules were added for the following kernels:
		2.6.32-573.8.1

* Wed Sep 23 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-16
* Release 1.1.r17-16
	Kernel modules were added for the following kernels:
		2.6.32-573.7.1

* Fri Aug 14 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-15
* Release 1.1.r17-15
	Kernel modules were added for the following kernels:
		2.6.32-573.3.1

* Thu Aug  6 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-14
* Release 1.1.r17-14
	Kernel modules were added for the following kernels:
		2.6.32-573.1.1
		2.6.32-573

* Thu Jul 16 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-13
* Release 1.1.r17-13
	Kernel modules were added for the following kernels:
		2.6.32-504.30.3

* Thu Jun 11 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-12
* Release 1.1.r17-12
	Kernel modules were added for the following kernels:
		2.6.32-504.23.4

* Thu Apr 23 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-11
* Release 1.1.r17-11
	Kernel modules were added for the following kernels:
		2.6.32-504.16.2

* Fri Mar 13 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-10
* Release 1.1.r17-10
	Kernel modules were added for the following kernels:
		2.6.32-504.12.2

* Thu Jan 29 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-9
* Release 1.1.r17-9
	Kernel modules were added for the following kernels:
		2.6.32-504.8.1

* Sat Dec 20 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-8
* Release 1.1.r17-8
	Kernel modules were added for the following kernels:
		2.6.32-504.3.3

* Tue Dec  9 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-7
* Release 1.1.r17-7
	Rebuilt all kernel modules by specifying the correct KVER value.

* Wed Nov 12 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-6
* Release 1.1.r17-6
	Kernel modules were added for the following kernels:
		2.6.32-504.1.3

* Wed Oct 29 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-5
* Release 1.1.r17-5
	Kernel modules were added for the following kernels:
		2.6.32-504

* Wed Sep 10 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-4
* Release 1.1.r17-4
	Kernel modules were added for the following kernels:
		2.6.32-431.23.3
		2.6.32-431.29.2

* Mon Jul 28 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-3
* Release 1.1.r17-3
	Kernel modules were added for the following kernels:
		2.6.32-431.20.5

* Mon Jun 23 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-2
* Release 1.1.r17-2
	Kernel modules were added for the following kernels:
		2.6.32-431.20.3

* Mon Jun 2 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-1
* Release 1.1.r17-1
	Kernel modules are available for the following kernels:
		2.6.32-71          2.6.32-71.7.1    2.6.32-71.14.1    2.6.32-71.18.1    2.6.32-71.18.2
		2.6.32-71.24.1      2.6.32-71.29.1   2.6.32-131.0.15   2.6.32-220        2.6.32-279
		2.6.32-358          2.6.32-358.0.1   2.6.32-358.2.1    2.6.32-358.6.1    2.6.32-358.6.2
		2.6.32-358.11.1     2.6.32-358.14.   2.6.32-358.18.1   2.6.32-358.23.2   2.6.32-431
		2.6.32-431.1.2.0.1  2.6.32-431.3.1   2.6.32-431.5.1    2.6.32-431.11.2   2.6.32-431.17.1
